Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network84.2.32.0/21
Usable hosts2,046
Subnet mask255.255.248.0
Addresses2,048
Network address
84.2.32.0
Broadcast address
84.2.39.255
First usable
84.2.32.1
Last usable
84.2.39.254
Usable hosts
2,046 (2,048 less the network and broadcast addresses)
Subnet mask
255.255.248.0
Wildcard mask
0.0.7.255 (Cisco ACLs, OSPF)
Prefix length
/21
Type
Public public
Old class
A (default /8)
As numbers
Hex 54022000 · Integer 1409425408 to 1409427455
Reverse DNS zones
32.2.84.in-addr.arpa
33.2.84.in-addr.arpa
34.2.84.in-addr.arpa
35.2.84.in-addr.arpa
36.2.84.in-addr.arpa
37.2.84.in-addr.arpa
38.2.84.in-addr.arpa
39.2.84.in-addr.arpa
/21 is not on a 8-bit boundary, so it takes 8 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01010100.00000010.00100000.0000000084.2.32.0
Subnet mask11111111.11111111.11111000.00000000255.255.248.0
Network01010100.00000010.00100000.0000000084.2.32.0
Broadcast01010100.00000010.00100111.1111111184.2.39.255
Split into smaller subnets/28

84.2.32.0/21 makes 128 subnets of /28.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
184.2.32.0/2884.2.32.1 to 84.2.32.1484.2.32.1514
284.2.32.16/2884.2.32.17 to 84.2.32.3084.2.32.3114
384.2.32.32/2884.2.32.33 to 84.2.32.4684.2.32.4714
484.2.32.48/2884.2.32.49 to 84.2.32.6284.2.32.6314
584.2.32.64/2884.2.32.65 to 84.2.32.7884.2.32.7914
684.2.32.80/2884.2.32.81 to 84.2.32.9484.2.32.9514
784.2.32.96/2884.2.32.97 to 84.2.32.11084.2.32.11114
884.2.32.112/2884.2.32.113 to 84.2.32.12684.2.32.12714
984.2.32.128/2884.2.32.129 to 84.2.32.14284.2.32.14314
1084.2.32.144/2884.2.32.145 to 84.2.32.15884.2.32.15914
1184.2.32.160/2884.2.32.161 to 84.2.32.17484.2.32.17514
1284.2.32.176/2884.2.32.177 to 84.2.32.19084.2.32.19114
1384.2.32.192/2884.2.32.193 to 84.2.32.20684.2.32.20714
1484.2.32.208/2884.2.32.209 to 84.2.32.22284.2.32.22314
1584.2.32.224/2884.2.32.225 to 84.2.32.23884.2.32.23914
1684.2.32.240/2884.2.32.241 to 84.2.32.25484.2.32.25514
1784.2.33.0/2884.2.33.1 to 84.2.33.1484.2.33.1514
1884.2.33.16/2884.2.33.17 to 84.2.33.3084.2.33.3114
1984.2.33.32/2884.2.33.33 to 84.2.33.4684.2.33.4714
2084.2.33.48/2884.2.33.49 to 84.2.33.6284.2.33.6314
2184.2.33.64/2884.2.33.65 to 84.2.33.7884.2.33.7914
2284.2.33.80/2884.2.33.81 to 84.2.33.9484.2.33.9514
2384.2.33.96/2884.2.33.97 to 84.2.33.11084.2.33.11114
2484.2.33.112/2884.2.33.113 to 84.2.33.12684.2.33.12714
2584.2.33.128/2884.2.33.129 to 84.2.33.14284.2.33.14314
2684.2.33.144/2884.2.33.145 to 84.2.33.15884.2.33.15914
2784.2.33.160/2884.2.33.161 to 84.2.33.17484.2.33.17514
2884.2.33.176/2884.2.33.177 to 84.2.33.19084.2.33.19114
2984.2.33.192/2884.2.33.193 to 84.2.33.20684.2.33.20714
3084.2.33.208/2884.2.33.209 to 84.2.33.22284.2.33.22314
3184.2.33.224/2884.2.33.225 to 84.2.33.23884.2.33.23914
3284.2.33.240/2884.2.33.241 to 84.2.33.25484.2.33.25514
3384.2.34.0/2884.2.34.1 to 84.2.34.1484.2.34.1514
3484.2.34.16/2884.2.34.17 to 84.2.34.3084.2.34.3114
3584.2.34.32/2884.2.34.33 to 84.2.34.4684.2.34.4714
3684.2.34.48/2884.2.34.49 to 84.2.34.6284.2.34.6314
3784.2.34.64/2884.2.34.65 to 84.2.34.7884.2.34.7914
3884.2.34.80/2884.2.34.81 to 84.2.34.9484.2.34.9514
3984.2.34.96/2884.2.34.97 to 84.2.34.11084.2.34.11114
4084.2.34.112/2884.2.34.113 to 84.2.34.12684.2.34.12714
4184.2.34.128/2884.2.34.129 to 84.2.34.14284.2.34.14314
4284.2.34.144/2884.2.34.145 to 84.2.34.15884.2.34.15914
4384.2.34.160/2884.2.34.161 to 84.2.34.17484.2.34.17514
4484.2.34.176/2884.2.34.177 to 84.2.34.19084.2.34.19114
4584.2.34.192/2884.2.34.193 to 84.2.34.20684.2.34.20714
4684.2.34.208/2884.2.34.209 to 84.2.34.22284.2.34.22314
4784.2.34.224/2884.2.34.225 to 84.2.34.23884.2.34.23914
4884.2.34.240/2884.2.34.241 to 84.2.34.25484.2.34.25514
4984.2.35.0/2884.2.35.1 to 84.2.35.1484.2.35.1514
5084.2.35.16/2884.2.35.17 to 84.2.35.3084.2.35.3114
5184.2.35.32/2884.2.35.33 to 84.2.35.4684.2.35.4714
5284.2.35.48/2884.2.35.49 to 84.2.35.6284.2.35.6314
5384.2.35.64/2884.2.35.65 to 84.2.35.7884.2.35.7914
5484.2.35.80/2884.2.35.81 to 84.2.35.9484.2.35.9514
5584.2.35.96/2884.2.35.97 to 84.2.35.11084.2.35.11114
5684.2.35.112/2884.2.35.113 to 84.2.35.12684.2.35.12714
5784.2.35.128/2884.2.35.129 to 84.2.35.14284.2.35.14314
5884.2.35.144/2884.2.35.145 to 84.2.35.15884.2.35.15914
5984.2.35.160/2884.2.35.161 to 84.2.35.17484.2.35.17514
6084.2.35.176/2884.2.35.177 to 84.2.35.19084.2.35.19114
6184.2.35.192/2884.2.35.193 to 84.2.35.20684.2.35.20714
6284.2.35.208/2884.2.35.209 to 84.2.35.22284.2.35.22314
6384.2.35.224/2884.2.35.225 to 84.2.35.23884.2.35.23914
6484.2.35.240/2884.2.35.241 to 84.2.35.25484.2.35.25514
6584.2.36.0/2884.2.36.1 to 84.2.36.1484.2.36.1514
6684.2.36.16/2884.2.36.17 to 84.2.36.3084.2.36.3114
6784.2.36.32/2884.2.36.33 to 84.2.36.4684.2.36.4714
6884.2.36.48/2884.2.36.49 to 84.2.36.6284.2.36.6314
6984.2.36.64/2884.2.36.65 to 84.2.36.7884.2.36.7914
7084.2.36.80/2884.2.36.81 to 84.2.36.9484.2.36.9514
7184.2.36.96/2884.2.36.97 to 84.2.36.11084.2.36.11114
7284.2.36.112/2884.2.36.113 to 84.2.36.12684.2.36.12714
7384.2.36.128/2884.2.36.129 to 84.2.36.14284.2.36.14314
7484.2.36.144/2884.2.36.145 to 84.2.36.15884.2.36.15914
7584.2.36.160/2884.2.36.161 to 84.2.36.17484.2.36.17514
7684.2.36.176/2884.2.36.177 to 84.2.36.19084.2.36.19114
7784.2.36.192/2884.2.36.193 to 84.2.36.20684.2.36.20714
7884.2.36.208/2884.2.36.209 to 84.2.36.22284.2.36.22314
7984.2.36.224/2884.2.36.225 to 84.2.36.23884.2.36.23914
8084.2.36.240/2884.2.36.241 to 84.2.36.25484.2.36.25514
8184.2.37.0/2884.2.37.1 to 84.2.37.1484.2.37.1514
8284.2.37.16/2884.2.37.17 to 84.2.37.3084.2.37.3114
8384.2.37.32/2884.2.37.33 to 84.2.37.4684.2.37.4714
8484.2.37.48/2884.2.37.49 to 84.2.37.6284.2.37.6314
8584.2.37.64/2884.2.37.65 to 84.2.37.7884.2.37.7914
8684.2.37.80/2884.2.37.81 to 84.2.37.9484.2.37.9514
8784.2.37.96/2884.2.37.97 to 84.2.37.11084.2.37.11114
8884.2.37.112/2884.2.37.113 to 84.2.37.12684.2.37.12714
8984.2.37.128/2884.2.37.129 to 84.2.37.14284.2.37.14314
9084.2.37.144/2884.2.37.145 to 84.2.37.15884.2.37.15914
9184.2.37.160/2884.2.37.161 to 84.2.37.17484.2.37.17514
9284.2.37.176/2884.2.37.177 to 84.2.37.19084.2.37.19114
9384.2.37.192/2884.2.37.193 to 84.2.37.20684.2.37.20714
9484.2.37.208/2884.2.37.209 to 84.2.37.22284.2.37.22314
9584.2.37.224/2884.2.37.225 to 84.2.37.23884.2.37.23914
9684.2.37.240/2884.2.37.241 to 84.2.37.25484.2.37.25514
9784.2.38.0/2884.2.38.1 to 84.2.38.1484.2.38.1514
9884.2.38.16/2884.2.38.17 to 84.2.38.3084.2.38.3114
9984.2.38.32/2884.2.38.33 to 84.2.38.4684.2.38.4714
10084.2.38.48/2884.2.38.49 to 84.2.38.6284.2.38.6314
10184.2.38.64/2884.2.38.65 to 84.2.38.7884.2.38.7914
10284.2.38.80/2884.2.38.81 to 84.2.38.9484.2.38.9514
10384.2.38.96/2884.2.38.97 to 84.2.38.11084.2.38.11114
10484.2.38.112/2884.2.38.113 to 84.2.38.12684.2.38.12714
10584.2.38.128/2884.2.38.129 to 84.2.38.14284.2.38.14314
10684.2.38.144/2884.2.38.145 to 84.2.38.15884.2.38.15914
10784.2.38.160/2884.2.38.161 to 84.2.38.17484.2.38.17514
10884.2.38.176/2884.2.38.177 to 84.2.38.19084.2.38.19114
10984.2.38.192/2884.2.38.193 to 84.2.38.20684.2.38.20714
11084.2.38.208/2884.2.38.209 to 84.2.38.22284.2.38.22314
11184.2.38.224/2884.2.38.225 to 84.2.38.23884.2.38.23914
11284.2.38.240/2884.2.38.241 to 84.2.38.25484.2.38.25514
11384.2.39.0/2884.2.39.1 to 84.2.39.1484.2.39.1514
11484.2.39.16/2884.2.39.17 to 84.2.39.3084.2.39.3114
11584.2.39.32/2884.2.39.33 to 84.2.39.4684.2.39.4714
11684.2.39.48/2884.2.39.49 to 84.2.39.6284.2.39.6314
11784.2.39.64/2884.2.39.65 to 84.2.39.7884.2.39.7914
11884.2.39.80/2884.2.39.81 to 84.2.39.9484.2.39.9514
11984.2.39.96/2884.2.39.97 to 84.2.39.11084.2.39.11114
12084.2.39.112/2884.2.39.113 to 84.2.39.12684.2.39.12714
12184.2.39.128/2884.2.39.129 to 84.2.39.14284.2.39.14314
12284.2.39.144/2884.2.39.145 to 84.2.39.15884.2.39.15914
12384.2.39.160/2884.2.39.161 to 84.2.39.17484.2.39.17514
12484.2.39.176/2884.2.39.177 to 84.2.39.19084.2.39.19114
12584.2.39.192/2884.2.39.193 to 84.2.39.20684.2.39.20714
12684.2.39.208/2884.2.39.209 to 84.2.39.22284.2.39.22314
12784.2.39.224/2884.2.39.225 to 84.2.39.23884.2.39.23914
12884.2.39.240/2884.2.39.241 to 84.2.39.25484.2.39.25514

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses